Package htsjdk.samtools.cram.compression.fqzcomp

# Class FQZParams

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZParams

public class FQZParams extends Object

## Constructor Summary

Constructors
Constructor
Description
`FQZParams(ByteBuffer inBuffer)`

## Method Summary

Modifier and Type
Method
Description
`FQZGlobalFlags`
`getFQZFlags()`
`List<FQZParam>`
`getFQZParamList()`
`int`
`getMaxSelector()`
`int`
`getMaxSymbol()`
`int[]`
`getSelectorTable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FQZParams

public FQZParams(ByteBuffer inBuffer)

## Method Details

### getFQZFlags

public FQZGlobalFlags getFQZFlags()

### getFQZParamList

public List<FQZParam> getFQZParamList()

### getMaxSelector

public int getMaxSelector()

### getMaxSymbol

public int getMaxSymbol()

### getSelectorTable

public int[] getSelectorTable()